Delete Ad Break Schedule
Deletes an ad break slot from the zone's timeline.
curl -X DELETE "https://api.5centscdn.com/v2/zones/vod/push/42/adinsertion/schedule/501" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"_METHOD": "DELETE"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/zones/vod/push/42/adinsertion/schedule/501"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"_METHOD": "DELETE"
}
response = requests.delete(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/zones/vod/push/42/adinsertion/schedule/501", {
method: "DELETE",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"_METHOD": "DELETE"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"_METHOD": "DELETE"
}`)
req, err := http.NewRequest("DELETE", "https://api.5centscdn.com/v2/zones/vod/push/42/adinsertion/schedule/501", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/zones/vod/push/42/adinsertion/schedule/501')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"_METHOD": "DELETE"
}'
response = http.request(request)
puts response.body
{
"statusCode": 200,
"id": 19,
"tenantId": 103,
"name": "5-103-push-4162-adinsertion",
"hash": "ea696299629d461ba530b1125d10ddae",
"type": "ad-insertion",
"url": "https://adinsertion.5centscdn.com/ea696299629d461ba530b1125d10ddae/",
"state": "enabled",
"creationDate": "2026-07-30T17:55:55.000Z",
"updateDate": "2026-09-23T06:02:35.000Z",
"source": {
"id": 40,
"tenantId": 103,
"type": "asset-catalog",
"name": "5-103-push-4162-assetcatalog",
"url": "https://fm-gb-lon-sl01.cdnized.com:443/",
"format": "HLS",
"origin": {
"customHeaders": [
{
"name": "X-Api-Key",
"value": "Bearer abc123"
}
]
},
"assetSample": "v1/AUTH_1234567890/vineeth_103_push_5611/mp4/raw/badguy_3B-L2-30fps-128kbps-44.1kHz.mp4"
},
"enableAdTranscoding": true,
"transcodingProfile": {
"id": 2287,
"name": "3B-L2-30fps-128kbps-44.1kHz"
},
"serverSideAdTracking": {
"enable": false,
"checkAdMediaSegmentAvailability": false
},
"vodAdBreakPolicy": {
"adServer": {
"id": 39
},
"spliceMode": "keyframe",
"preRoll": {
"maxDurationS": 30,
"maxAds": 2,
"minAdLengthS": 10
}
},
"insertionMode": "sgai",
"result": "success"
}
DELETE
/zones/vod/push/{zoneid}/adinsertion/schedule/{scheduleid}DELETE
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
path
zoneidinteger
RequiredZone ID
path
scheduleidinteger
RequiredID of the ad break schedule slot.
Content-Typestring
RequiredThe media type of the request body
Options: application/json
_METHODstring
RequiredHTTP method override for this request. This endpoint accepts POST, but set this to DELETE to perform a delete operation.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Body
application/json
_METHODstring
RequiredHTTP method override for this request. This endpoint accepts POST, but set this to DELETE to perform a delete operation.
Example:
DELETEResponses
statusCodeinteger
idinteger
tenantIdinteger
namestring
hashstring
typestring
urlstring
statestring
creationDatestring
updateDatestring
sourceobject
enableAdTranscodingboolean
transcodingProfileobject
serverSideAdTrackingobject
vodAdBreakPolicyobject
insertionModestring
resultstring
Allowed values:
successerrorWas this page helpful?